image: gradle:8.1.1-jdk17

variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"

stages:
  - build
  - test

before_script:
  - export GRADLE_USER_HOME="$(pwd)/.gradle"

cache:
  paths:
    - .gradle/caches

build:
  stage: build
  script:
    - gradle assemble
  artifacts:
    paths:
      - "**/build"

test:
  stage: test
  script:
    - gradle check
